/// The ISO 4217 currency codes.
///
/// Adapted from https://en.wikipedia.org/wiki/ISO_4217#Active_codes.
class CurrencyCode {
  const CurrencyCode._(this._name, this.number);
  final String _name;
  final int number;
  @override
  toString() => _name;
  static const united_arab_emirates_dirham = CurrencyCode._('AED', 784);
  static const afghan_afghani = CurrencyCode._('AFN', 971);
  static const albanian_lek = CurrencyCode._('ALL', 008);
  static const armenian_dram = CurrencyCode._('AMD', 051);
  static const netherlands_antillean_guilder = CurrencyCode._('ANG', 532);
  static const angolan_kwanza = CurrencyCode._('AOA', 973);
  static const argentine_peso = CurrencyCode._('ARS', 032);
  static const australian_dollar = CurrencyCode._('AUD', 036);
  static const aruban_florin = CurrencyCode._('AWG', 533);
  static const azerbaijani_manat = CurrencyCode._('AZN', 944);
  static const bosnia_herzegovina_mark = CurrencyCode._('BAM', 977);
  static const barbados_dollar = CurrencyCode._('BBD', 052);
  static const bangladeshi_taka = CurrencyCode._('BDT', 050);
  static const bulgarian_lev = CurrencyCode._('BGN', 975);
  static const bahraini_dinar = CurrencyCode._('BHD', 048);
  static const burundian_franc = CurrencyCode._('BIF', 108);
  static const bermudian_dollar = CurrencyCode._('BMD', 060);
  static const brunei_dollar = CurrencyCode._('BND', 096);
  static const boliviano = CurrencyCode._('BOB', 068);
  static const brazilian_real = CurrencyCode._('BRL', 986);
  static const bahamian_dollar = CurrencyCode._('BSD', 044);
  static const bhutanese_ngultrum = CurrencyCode._('BTN', 064);
  static const botswana_pula = CurrencyCode._('BWP', 072);
  static const belarusian_ruble = CurrencyCode._('BYN', 933);
  static const belize_dollar = CurrencyCode._('BZD', 084);
  static const canadian_dollar = CurrencyCode._('CAD', 124);
  static const congolese_franc = CurrencyCode._('CDF', 976);
  static const swiss_franc = CurrencyCode._('CHF', 756);
  static const chilean_peso = CurrencyCode._('CLP', 152);
  static const chinese_yuan = CurrencyCode._('CNY', 156);
  static const colombian_peso = CurrencyCode._('COP', 170);
  static const colombian_unidad = CurrencyCode._('COU', 970);
  static const costa_rican_colon = CurrencyCode._('CRC', 188);
  static const cuban_convertible_peso = CurrencyCode._('CUC', 931);
  static const cuban_peso = CurrencyCode._('CUP', 192);
  static const cape_verde_escudo = CurrencyCode._('CVE', 132);
  static const czech_koruna = CurrencyCode._('CZK', 203);
  static const djiboutian_franc = CurrencyCode._('DJF', 262);
  static const danish_krone = CurrencyCode._('DKK', 208);
  static const dominican_peso = CurrencyCode._('DOP', 214);
  static const algerian_dinar = CurrencyCode._('DZD', 012);
  static const egyptian_pound = CurrencyCode._('EGP', 818);
  static const eritrean_nakfa = CurrencyCode._('ERN', 232);
  static const ethiopian_birr = CurrencyCode._('ETB', 230);
  static const euro = CurrencyCode._('EUR', 978);
  static const fiji_dollar = CurrencyCode._('FJD', 242);
  static const falkland_islands_pound = CurrencyCode._('FKP', 238);
  static const pound_sterling = CurrencyCode._('GBP', 826);
  static const georgian_lari = CurrencyCode._('GEL', 981);
  static const ghanaian_cedi = CurrencyCode._('GHS', 936);
  static const gibraltar_pound = CurrencyCode._('GIP', 292);
  static const gambian_dalasi = CurrencyCode._('GMD', 270);
  static const guinean_franc = CurrencyCode._('GNF', 324);
  static const guatemalan_quetzal = CurrencyCode._('GTQ', 320);
  static const guyanese_dollar = CurrencyCode._('GYD', 328);
  static const hong_kong_dollar = CurrencyCode._('HKD', 344);
  static const honduran_lempira = CurrencyCode._('HNL', 340);
  static const croatian_kuna = CurrencyCode._('HRK', 191);
  static const haitian_gourde = CurrencyCode._('HTG', 332);
  static const hungarian_forint = CurrencyCode._('HUF', 348);
  static const indonesian_rupiah = CurrencyCode._('IDR', 360);
  static const israeli_new_shekel = CurrencyCode._('ILS', 376);
  static const indian_rupee = CurrencyCode._('INR', 356);
  static const iraqi_dinar = CurrencyCode._('IQD', 368);
  static const iranian_rial = CurrencyCode._('IRR', 364);
  static const icelandic_krona = CurrencyCode._('ISK', 352);
  static const jamaican_dollar = CurrencyCode._('JMD', 388);
  static const jordanian_dinar = CurrencyCode._('JOD', 400);
  static const japanese_yen = CurrencyCode._('JPY', 392);
  static const kenyan_shilling = CurrencyCode._('KES', 404);
  static const kyrgyzstani_som = CurrencyCode._('KGS', 417);
  static const cambodian_riel = CurrencyCode._('KHR', 116);
  static const comoro_franc = CurrencyCode._('KMF', 174);
  static const north_korean_won = CurrencyCode._('KPW', 408);
  static const south_korean_won = CurrencyCode._('KRW', 410);
  static const kuwaiti_dinar = CurrencyCode._('KWD', 414);
  static const cayman_islands_dollar = CurrencyCode._('KYD', 136);
  static const kazakhstani_tenge = CurrencyCode._('KZT', 398);
  static const lao_kip = CurrencyCode._('LAK', 418);
  static const lebanese_pound = CurrencyCode._('LBP', 422);
  static const sri_lankan_rupee = CurrencyCode._('LKR', 144);
  static const liberian_dollar = CurrencyCode._('LRD', 430);
  static const lesotho_loti = CurrencyCode._('LSL', 426);
  static const libyan_dinar = CurrencyCode._('LYD', 434);
  static const moroccan_dirham = CurrencyCode._('MAD', 504);
  static const moldovan_leu = CurrencyCode._('MDL', 498);
  static const malagasy_ariary = CurrencyCode._('MGA', 969);
  static const macedonian_denar = CurrencyCode._('MKD', 807);
  static const myanmar_kyat = CurrencyCode._('MMK', 104);
  static const mongolian_togrog = CurrencyCode._('MNT', 496);
  static const macanese_pataca = CurrencyCode._('MOP', 446);
  static const mauritanian_ouguiya = CurrencyCode._('MRU', 929);
  static const mauritian_rupee = CurrencyCode._('MUR', 480);
  static const maldivian_rufiyaa = CurrencyCode._('MVR', 462);
  static const malawian_kwacha = CurrencyCode._('MWK', 454);
  static const mexican_peso = CurrencyCode._('MXN', 484);
  static const malaysian_ringgit = CurrencyCode._('MYR', 458);
  static const mozambican_metical = CurrencyCode._('MZN', 943);
  static const namibian_dollar = CurrencyCode._('NAD', 516);
  static const nigerian_naira = CurrencyCode._('NGN', 566);
  static const nicaraguan_cordoba = CurrencyCode._('NIO', 558);
  static const norwegian_krone = CurrencyCode._('NOK', 578);
  static const nepalese_rupee = CurrencyCode._('NPR', 524);
  static const new_zealand_dollar = CurrencyCode._('NZD', 554);
  static const omani_rial = CurrencyCode._('OMR', 512);
  static const panamanian_balboa = CurrencyCode._('PAB', 590);
  static const peruvian_sol = CurrencyCode._('PEN', 604);
  static const papua_new_guinean_kina = CurrencyCode._('PGK', 598);
  static const philippine_peso = CurrencyCode._('PHP', 608);
  static const pakistani_rupee = CurrencyCode._('PKR', 586);
  static const polish_zloty = CurrencyCode._('PLN', 985);
  static const paraguayan_guarani = CurrencyCode._('PYG', 600);
  static const qatari_riyal = CurrencyCode._('QAR', 634);
  static const romanian_leu = CurrencyCode._('RON', 946);
  static const serbian_dinar = CurrencyCode._('RSD', 941);
  static const russian_ruble = CurrencyCode._('RUB', 643);
  static const rwandan_franc = CurrencyCode._('RWF', 646);
  static const saudi_riyal = CurrencyCode._('SAR', 682);
  static const solomon_islands_dollar = CurrencyCode._('SBD', 090);
  static const seychelles_rupee = CurrencyCode._('SCR', 690);
  static const sudanese_pound = CurrencyCode._('SDG', 938);
  static const swedish_kronor = CurrencyCode._('SEK', 752);
  static const singapore_dollar = CurrencyCode._('SGD', 702);
  static const saint_helena_pound = CurrencyCode._('SHP', 654);
  static const sierra_leonean_leone = CurrencyCode._('SLL', 694);
  static const somali_shilling = CurrencyCode._('SOS', 706);
  static const surinamese_dollar = CurrencyCode._('SRD', 968);
  static const south_sudanese_pound = CurrencyCode._('SSP', 728);
  static const sao_tome_principe_dobra = CurrencyCode._('STN', 930);
  static const salvadoran_colon = CurrencyCode._('SVC', 222);
  static const syrian_pound = CurrencyCode._('SYP', 760);
  static const swazi_lilangeni = CurrencyCode._('SZL', 748);
  static const thai_baht = CurrencyCode._('THB', 764);
  static const tajikistani_somoni = CurrencyCode._('TJS', 972);
  static const turkmenistan_manat = CurrencyCode._('TMT', 934);
  static const tunisian_dinar = CurrencyCode._('TND', 788);
  static const tongan_paanga = CurrencyCode._('TOP', 776);
  static const turkish_lira = CurrencyCode._('TRY', 949);
  static const trinidad_tobago_dollar = CurrencyCode._('TTD', 780);
  static const new_taiwan_dollar = CurrencyCode._('TWD', 901);
  static const tanzanian_shilling = CurrencyCode._('TZS', 834);
  static const ukrainian_hryvnia = CurrencyCode._('UAH', 980);
  static const ugandan_shilling = CurrencyCode._('UGX', 800);
  static const united_states_dollar = CurrencyCode._('USD', 840);
  static const uruguayan_peso = CurrencyCode._('UYU', 858);
  static const unidad_previsional = CurrencyCode._('UYW', 927);
  static const uzbekistan_som = CurrencyCode._('UZS', 860);
  static const venezuelan_bolivar_soberano = CurrencyCode._('VES', 928);
  static const vietnamese_dong = CurrencyCode._('VND', 704);
  static const vanuatu_vatu = CurrencyCode._('VUV', 548);
  static const samoan_tala = CurrencyCode._('WST', 882);
  static const cfa_franc_beac = CurrencyCode._('XAF', 950);
  static const silver = CurrencyCode._('XAG', 961);
  static const gold = CurrencyCode._('XAU', 959);
  static const east_caribbean_dollar = CurrencyCode._('XCD', 951);
  static const special_drawing_rights = CurrencyCode._('XDR', 960);
  static const cfa_franc_bceao = CurrencyCode._('XOF', 952);
  static const palladium = CurrencyCode._('XPD', 964);
  static const cfp_franc = CurrencyCode._('XPF', 953);
  static const platinum = CurrencyCode._('XPT', 962);
  static const sucre = CurrencyCode._('XSU', 994);
  static const code_reserved_for_testing_purposes = CurrencyCode._('XTS', 963);
  static const adb_unit_of_account = CurrencyCode._('XUA', 965);
  static const no_currency = CurrencyCode._('XXX', 999);
  static const yemeni_rial = CurrencyCode._('YER', 886);
  static const south_african_rand = CurrencyCode._('ZAR', 710);
  static const zambian_kwacha = CurrencyCode._('ZMW', 967);
  static const zimbabwean_dollar_a10 = CurrencyCode._('ZWL', 932);
}
